varying mediump vec2 texCoords;

varying mediump vec2 v_blurTexCoords[14];
//varying mediump vec2 blurCoordinates[9];

#if defined(VERTEX_SHADER)


attribute vec3 vertPos;
attribute vec3 vertColor;

attribute vec2 texCoords0;

uniform mat4 viewMat;
uniform mat4 projMat;
uniform mat4 worldMat;
void main()
{
    texCoords = texCoords0;
	gl_Position = vec4(vertPos, 1.0);
    
    float texelWidthOffset = 1.72 / 1024.0;
    float texelHeightOffset = 1.72 / 1024.0;
    
    vec2 v_texCoord = texCoords0;
    


    v_blurTexCoords[ 0] = v_texCoord + vec2(7.5 * texelWidthOffset, -7.5 * texelHeightOffset);
    v_blurTexCoords[ 1] = v_texCoord + vec2(4.5 * texelWidthOffset, -4.5 * texelHeightOffset);
    v_blurTexCoords[ 2] = v_texCoord + vec2(2.5 * texelWidthOffset, -2.5 * texelHeightOffset);
    v_blurTexCoords[ 3] = v_texCoord + vec2(1.5 * texelWidthOffset, -1.5 * texelHeightOffset);
    v_blurTexCoords[ 4] = v_texCoord + vec2( 0.0,  0.0);
    v_blurTexCoords[ 5] = v_texCoord + vec2(-1.5 * texelWidthOffset,  1.5 * texelHeightOffset);
    v_blurTexCoords[ 6] = v_texCoord + vec2(-2.5 * texelWidthOffset,  2.5 * texelHeightOffset);
    v_blurTexCoords[ 7] = v_texCoord + vec2(-4.5 * texelWidthOffset,  4.5 * texelHeightOffset);
    v_blurTexCoords[ 8] = v_texCoord + vec2(-7.5 * texelWidthOffset,  7.5 * texelHeightOffset);
}

#endif
#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0;
uniform sampler2D tex1;

uniform lowp vec4 meshColor;

void main()
{
    lowp vec4 sum = vec4(0.0);
    sum += texture2D(tex1, v_blurTexCoords[ 0]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 1]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 2]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 3]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 4]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 5]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 6]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 7]) * (1.0 / 9.0);
    sum += texture2D(tex1, v_blurTexCoords[ 8]) * (1.0 / 9.0);

    lowp vec3 c = vec3(texture2D(tex0, sum.rr).r, texture2D(tex0, sum.gg).g, texture2D(tex0, sum.bb).b);
	gl_FragColor = vec4(c.rgb, 1.0);
}

#endif